macOS | #macos : Où trouver la liste des applications non compatibles ?

Il peut être interessant de se demander si une application est compatible avec la version installée de macOS. Vous pourriez être tenté d’installer une application ou un pilote qui pourrait ne pas fonctionner.

Lors de l’installation ou de la mise à jour de macOS X, Apple utilise un utilitaire : MigrationHelper. Celui-ci s’appuie sur plusieurs fichiers pour identifier les éléments incompatibles ou réorganiser un dossier qui serait déplacé.

Ces fichiers sont disponibles à cet emplacement :

/System/Library/PrivateFrameworks/SystemMigration.framework/Versions/A/Resources/MigrationIncompatibleApplicationsList.plist
et
/System/Library/PrivateFrameworks/SystemMigration.framework
finder-incompatible

Le premier est le plus intéressant car il liste les applications incompatibles avec la version actuelle de macOS. Pour l’ouvrir, utilisez la commande « open ».

incompatible.pngLe contenu est explicite :

incompatble-plist.png

En théorie, lorsque l’assistant de migration est lancé, il récupère des serveurs d’Apple une mise à jour de ce fichier. Si il n’y a pas de connexion internet il se base sur le fichier installé avec la dernière version de l’OS.

HDR

Publicités

Laisser un commentaire

Entrez vos coordonnées ci-dessous ou cliquez sur une icône pour vous connecter:

Logo WordPress.com

Vous commentez à l'aide de votre compte WordPress.com. Déconnexion /  Changer )

Photo Google+

Vous commentez à l'aide de votre compte Google+. Déconnexion /  Changer )

Image Twitter

Vous commentez à l'aide de votre compte Twitter. Déconnexion /  Changer )

Photo Facebook

Vous commentez à l'aide de votre compte Facebook. Déconnexion /  Changer )

Connexion à %s